From gud@eth.net Tue Apr 12 06:33:03 2005
Subject: [PATCH 2/many] pci: remove deprecates
To: greg@kroah.com
From: Amit Gud <gud@eth.net>
Date: Tue, 12 Apr 2005 19:04:27 +0530

Replace pci_find_device() with more safer pci_get_device().


Signed-off-by: Amit Gud <gud@eth.net>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
--- orig-2.6.12-rc1/drivers/char/rio/rio_linux.c	2005-03-22 12:53:18.000000000 +0530
+++ kj-2.6.12-rc1/drivers/char/rio/rio_linux.c	2005-04-12 18:45:02.102343064 +0530
@@ -1100,7 +1100,7 @@ static int __init rio_init(void) 
 
 #ifdef CONFIG_PCI
     /* First look for the JET devices: */
-    while ((pdev = pci_find_device (PCI_VENDOR_ID_SPECIALIX, 
+    while ((pdev = pci_get_device (PCI_VENDOR_ID_SPECIALIX, 
                                     PCI_DEVICE_ID_SPECIALIX_SX_XIO_IO8, 
                                     pdev))) {
        if (pci_enable_device(pdev)) continue;
@@ -1174,7 +1174,7 @@ static int __init rio_init(void) 
   */
 
     /* Then look for the older RIO/PCI devices: */
-    while ((pdev = pci_find_device (PCI_VENDOR_ID_SPECIALIX, 
+    while ((pdev = pci_get_device (PCI_VENDOR_ID_SPECIALIX, 
                                     PCI_DEVICE_ID_SPECIALIX_RIO, 
                                     pdev))) {
        if (pci_enable_device(pdev)) continue;

